> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Job

> Submit a job to prepare Tax P&L Reports for tradebook and tradewise settlements.



## OpenAPI

````yaml api-reference/it/report/openapi.json POST /it/reports/tax-pnl/securities/foreign
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/reports/tax-pnl/securities/foreign:
    post:
      tags:
        - tax-pnl
        - securities
        - foreign
      summary: Submit Job
      parameters:
        - name: input
          in: query
          required: true
          description: >-
            Type of input file. Allowed values: tradewise_settlement or
            tradebook.
          deprecated: false
          schema:
            type: string
            enum:
              - tradebook
              - tradewise_settlement
          example: tradewise_settlement
        - name: financial_year
          in: query
          required: true
          description: >-
            Financial year for which the report is generated. Use format FY
            20XX-XX (e.g., FY 2024-25).
          deprecated: false
          schema:
            type: string
            pattern: ^FY (19|20)\d{2}-\d{2}$
          example: FY 2025-26
        - name: x-accept-type
          in: header
          required: true
          description: >-
            Specifies the response format expected from the API. Use
            application/json for JSON responses or application/xlsx for Excel
            file downloads.
          deprecated: false
          schema:
            type: string
          example: application/xlsx
        - name: x-api-key
          in: header
          required: true
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema:
            type: string
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          required: true
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          deprecated: false
          schema:
            type: string
          example: '{{version}}'
        - name: Authorization
          in: header
          required: true
          description: >-
            Bearer token for user-level authorization. Typically passed as
            Bearer {{access_token}}.
          deprecated: false
          schema:
            type: string
          example: '{{access_token}}'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                      '@entity':
                        type: string
                      security_type:
                        type: string
                      url:
                        type: string
                        format: uri
                      status:
                        type: string
                      job_id:
                        type: string
                  transaction_id:
                    type: string
              example:
                code: 200
                timestamp: 1747891175423
                data:
                  created_at: 1747891176339
                  updated_at: 1747891176339
                  '@entity': in.co.sandbox.it.reports.tax_pnl.securities.job
                  security_type: domestic
                  url: >-
                    https://in-co-sandbox-it-reports-tax-pnl-sec-dev.s3.ap-south-1.amazonaws.com/domestic/9c6846f0-92db-4da3-b982-1b97967c320e/workbook.input?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=EXAMPLEACCESSKEY%2F20250522%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20250522T051936Z&X-Amz-Expires=86400&X-Amz-Signature=EXAMPLE_SIGNATURE&X-Amz-SignedHeaders=host&x-amz-checksum-crc32=AAAAAA%3D%3D&x-amz-sdk-checksum-algorithm=CRC32&x-id=PutObject
                  status: created
                  job_id: 9c6846f0-92db-4da3-b982-1b97967c320e
                transaction_id: 9c6846f0-92db-4da3-b982-1b97967c320e

````